using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability370.Domain;

public class TaobaoTbkDgMaterialTemporaryOptionalMaifanPromotionDTO
{

    /*
        猫超买返卡活动结束时间
    */
    private string? maifanPromotionEndTime;


    /*
        猫超买返卡活动开始时间
    */
    private string? maifanPromotionStartTime;


    /*
        猫超买返卡面额
    */
    private string? maifanPromotionDiscount;


    /*
        猫超买返卡总数，-1代表不限量，其他大于等于0的值为总数
    */
    private string? maifanPromotionCondition;



    [JsonPropertyName("maifan_promotion_end_time")]
    public string? MaifanPromotionEndTime
    {
        get => maifanPromotionEndTime;
        set => this.maifanPromotionEndTime = value;
    }

    [JsonPropertyName("maifan_promotion_start_time")]
    public string? MaifanPromotionStartTime
    {
        get => maifanPromotionStartTime;
        set => this.maifanPromotionStartTime = value;
    }

    [JsonPropertyName("maifan_promotion_discount")]
    public string? MaifanPromotionDiscount
    {
        get => maifanPromotionDiscount;
        set => this.maifanPromotionDiscount = value;
    }

    [JsonPropertyName("maifan_promotion_condition")]
    public string? MaifanPromotionCondition
    {
        get => maifanPromotionCondition;
        set => this.maifanPromotionCondition = value;
    }

}

